Notification Rules
Tags: automation, notifications, rules
Endpoints
GET /notification-rules- Notification RulesPOST /notification-rules- Notification RulesDELETE /notification-rules/{rule_id}- Delete Notification RulesPUT /notification-rules/{rule_id}- Update Notification Rules
Notification Rules
GET /api/v2/w/{workspace_uuid}/notification-rules/notification-rules
Description:
Notification delivery rules and triggers
Get all notification rules for a workspace. Requires automations:read scope.
Authorization: Requires automations:read scope
Response: List of NotificationRuleResponse
Notification Rules
POST /api/v2/w/{workspace_uuid}/notification-rules/notification-rules
Description:
Notification delivery rules and triggers
Create a new notification rule.
Authorization: Requires automations:admin scope
Parameters:
request(NotificationRuleCreate)
Response: See NotificationRuleResponse
Delete Notification Rules
DELETE /api/v2/w/{workspace_uuid}/notification-rules/notification-rules/{rule_id}
Description:
Notification delivery rules and triggers
Delete a notification rule.
Authorization: Requires automations:admin scope
Parameters:
rule_id(Integer)
Response: See dict
Update Notification Rules
PUT /api/v2/w/{workspace_uuid}/notification-rules/notification-rules/{rule_id}
Description:
Notification delivery rules and triggers
Update an existing notification rule.
Authorization: Requires automations:admin scope
Parameters:
rule_id(Integer)request(NotificationRuleUpdate)
Response: See NotificationRuleResponse